package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetAppCpPo;
import com.ruoyi.tc.entity.po.AssetCurrentCpPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.mapper.AssetAppCpMapper;
import com.ruoyi.tc.service.AssetAppCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产移动应用程序表(asset_app_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetAppCpService")
public class AssetAppCpServiceImpl extends ServiceImpl<AssetAppCpMapper, AssetAppCpPo> implements AssetAppCpService {


    @Resource
    private AssetAppCpMapper assetAppCpMapper;

    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {

        assetAppCpMapper.deletByAssetIdandTaskId(assetId, taskId);

    }

    @Override
    public void deletByAssetId(Long assetId) {
        assetAppCpMapper.deletByAssetId(assetId);
    }

    @Override
    public AssetAppCpPo findByTaskId(int assetId,int taskId) {
        return assetAppCpMapper.findByTaskId(assetId,taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy,Integer newThcs) {
        baseMapper.updateByAssetId(assetId,taskId,btgyy,newThcs);
    }

    @Override
    public AssetAppCpPo findByassetIdandTaskId(Integer assetId, Integer taskId) {
        return baseMapper.findByassetIdandTaskId(assetId,taskId);
    }
    @Override
    public AssetAppCpPo findDwmc(Long id) {
        return baseMapper.findDwmc(id);
    }

}
